Subject: Re: man pages showing special characters
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Thu, 8 Apr 2010 15:57:26 +0100
List-Id: <cygwin.cygwin.com>

TheCajun:
>> What character set is selected on the Text page of mintty's options?
>> Where are you setting LANG and LC_ALL?
>
> mintty is set to en_US.UTF-8
>
> I only exported LANG=c in .bash_profile.  All my other tests were on
> commandline.
>>
>> I'd recommend setting the locale and character set in the mintty
>> options only, which automatically sets LANG accordingly. If you set
>> LC_ALL or LANG to something else in your shell startup files, then
>> mintty won't get to know about it, and you end up with a charset
>> mismatch between mintty and applications running in it.
>>
> I removed the export from .bash_profile and re-logged in and still
> recieve same scrambled characters.

Right. More questions.

- What are those scrambled characters and what do you expect instead?
- Which man pages are affected?
- Can you double-check that LC_ALL and LC_CTYPE are unset or empty and
that LANG is set to en_US.UTF-8?
- What font are you using?
- Is there anything in /var/cache/man? If so, does clearing it make a
difference?

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple